/* eslint-disable no-unused-vars */
var systemConfig = {
  // oauth地址
  oauthServiceUrl: "/proxy_oauth/oauth",
  // 数据地址
  dataUrl: "/proxy_data/metadata",
  // 标注地址
  markUrl: "/proxy_mark/conllection/conllection",
  // 标注图片地址
  markImageUrl: "/proxy_mark/conllection/image/HBZJYZT/",
  // 标注图片 在 模型中的path前缀
  markPrefix: "/image/HBZJYZT/",
  // 接口分享
  interfaceShareAddress: "http://121.43.55.7:10087/metadata/content/selectByModelIdAareaCode",
  // 权限内置用户
  defaultUser: {
    username: "user001",
    id: 4
  },
  // 插件包配置
  plugins: [
    {
      name: "测量插件",
      src: "./static/package/measure.zip"
    }, {
      name: "图形绘制插件",
      src: "./static/package/draw.zip"
    }, {
      name: "空间采集插件",
      src: "./static/package/collectdata.zip"
    }
  ],
  // 示例文档
  exampleWord: "./static/package/example.docx",
  // 请求码
  requestCode: {
    "200": "请求成功",
    "-1": "参数错误",
    "500": "服务端错误",
    "201": "无权限",
    "202": "数据错误，无数据",
    "203": "内部错误",
    "204": "数据库错误",
    "205": "数据为空",
    "206": "用户过期",
    "207": "用户失效",
    "208": "无token",
    "209": "经纬度错误",
    "210": "无附件文件",
    "211": "模型数据错误，无模型",
    "212": "无效token",
    "213": "更新时间过旧",
    "214": "RestTemplate请求失败"
  },

  mapDefault: {
    center: {
      lng: 116.334228,
      lat: 39.072511
    },
    zoom: 14
  },
  raster: 'http://t{0-7}.tianditu.gov.cn/img_w/wmts?tk=e26a45a8b997f29f6b06fbd0a485a721&LAYER=img&SERVICE=WMTS&REQUEST=GetTile&VERSION=1.0.0&STYLE=default&TILEMATRIXSET=w&TILEMATRIX={z}&TILEROW={y}&TILECOL={x}&FORMAT=tiles',
  raster_annotation: "http://t{0-7}.tianditu.gov.cn/cia_w/wmts?tk=e26a45a8b997f29f6b06fbd0a485a721&LAYER=cia&SERVICE=WMTS&REQUEST=GetTile&VERSION=1.0.0&STYLE=default&TILEMATRIXSET=w&TILEMATRIX={z}&TILEROW={y}&TILECOL={x}&FORMAT=tiles",
  national_boundary: 'http://t{0-7}.tianditu.gov.cn/ibo_w/wmts?tk=e26a45a8b997f29f6b06fbd0a485a721&LAYER=ibo&SERVICE=WMTS&REQUEST=GetTile&VERSION=1.0.0&STYLE=default&TILEMATRIXSET=w&TILEMATRIX={z}&TILEROW={y}&TILECOL={x}&FORMAT=tiles'
}
